Bug 196758 - nv: DDC fails on laptop LCD, works on external LCD
nv: DDC fails on laptop LCD, works on external LCD
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-26 18:22 EDT by Andy Burns
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-29 18:06:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg log shows failure to choose correct resolution with DDC on internal LCD (44.66 KB, text/plain)
2006-06-26 18:22 EDT, Andy Burns
no flags Details

  None (edit)
Description Andy Burns 2006-06-26 18:22:00 EDT
Description of problem:

I'm not sure if this should be logged against Xorg-server, or Xorg-drv-nv?

On encountering screen resolution issue, I was advised by Jesse Keating that
using DDC was the preferred option for FC6, so I should comment out
HorizSync/vertRefresh from xorg.conf to force DDC.

Xorg then *does* use correct 1280x1024 resolution on external DVI LCD Sony
XDM-82 *with* DDC, when it failed without it.

Conversely Xorg then *fails* to use 1280x800 resolution on internal Dell WXGA
LCD *with* DDC, but picks good resolution without DDC.

Version-Release number of selected component (if applicable):

xorg-x11-server-Xorg.i386                1.1.0-22
xorg-x11-drv-nv.i386                     1.1.2-1

How reproducible:

100%
Comment 1 Andy Burns 2006-06-26 18:22:01 EDT
Created attachment 131574 [details]
xorg log shows failure to choose correct resolution with DDC on internal LCD
Comment 2 Adam Jackson 2006-08-04 19:09:28 EDT
Kindly paste or attach the output of running:

find /proc/acpi/video -type f

I'm hoping nv laptops tend to have EDID blocks in ACPI, in which case I have
code to fix this that should be pretty easy to integrate.
Comment 3 Andy Burns 2006-08-04 19:19:16 EDT
Here is the output for the machine while undocked using onboard LCD panel, do
you need this repeating while it is docked using an external LCD?

[andy@andylaptop ~]$ find /proc/acpi/video -type f
/proc/acpi/video/VID/DVI/EDID
/proc/acpi/video/VID/DVI/brightness
/proc/acpi/video/VID/DVI/state
/proc/acpi/video/VID/DVI/info
/proc/acpi/video/VID/LCD/EDID
/proc/acpi/video/VID/LCD/brightness
/proc/acpi/video/VID/LCD/state
/proc/acpi/video/VID/LCD/info
/proc/acpi/video/VID/CRT2/EDID
/proc/acpi/video/VID/CRT2/brightness
/proc/acpi/video/VID/CRT2/state
/proc/acpi/video/VID/CRT2/info
/proc/acpi/video/VID/CRT/EDID
/proc/acpi/video/VID/CRT/brightness
/proc/acpi/video/VID/CRT/state
/proc/acpi/video/VID/CRT/info
/proc/acpi/video/VID/TV/EDID
/proc/acpi/video/VID/TV/brightness
/proc/acpi/video/VID/TV/state
/proc/acpi/video/VID/TV/info
/proc/acpi/video/VID/DOS
/proc/acpi/video/VID/POST
/proc/acpi/video/VID/POST_info
/proc/acpi/video/VID/ROM
/proc/acpi/video/VID/info
Comment 4 Adam Jackson 2006-08-04 19:35:55 EDT
Nah, I'm only interested in the LCD panel info.

What do you get from cat /proc/acpi/video/VID/LCD/EDID ?  Real data, or
something like <not supported> ?
Comment 5 Andy Burns 2006-08-05 03:43:26 EDT
(In reply to comment #4)

> What do you get from cat /proc/acpi/video/VID/LCD/EDID ?  Real data, or
> something like <not supported> ?

I get <not supported>

Comment 6 Adam Jackson 2006-08-06 22:26:49 EDT
Rrgh, that's less cool.  Do any of the EDID files give anything else?
Comment 7 Andy Burns 2006-08-07 03:44:10 EDT
Nope :-(

$ cat /proc/acpi/video/VID/*/EDID
<not supported>
<not supported>
<not supported>
<not supported>
<not supported>

is this an ACPI BIOS shortcoming?
Comment 8 Adam Jackson 2006-09-29 18:06:22 EDT
Yeah, it is.

As of xorg-x11-drv-nv 1.2.0-4, we will notice the native panel size reported by
the BIOS and expand the sync ranges to cover it.  So at least we'll get the
native mode size right.  There's really no fixing that the machine has no way to
report DDC though.

Please test 1.2.0-4 and reopen this bug if it doesn't work automagically for
you.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.